org.apache.hadoop.mapreduce.v2.hs.webapp.dao

## Class AMAttemptInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.webapp.dao.AMAttemptInfo

-     public class AMAttemptInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `containerId`
    `protected int` | `id`
    `protected String` | `logsLink`
    `protected String` | `nodeHttpAddress`
    `protected String` | `nodeId`
    `protected String` | `shortLogsLink`
    `protected long` | `startTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AMAttemptInfo()`
    `AMAttemptInfo(org.apache.hadoop.mapreduce.v2.api.records.AMInfo amInfo, String jobId, String user, String host, String pathPrefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAttemptId()`
    `String` | `getContainerId()`
    `String` | `getLogsLink()`
    `String` | `getNodeHttpAddress()`
    `String` | `getNodeId()`
    `String` | `getShortLogsLink()`
    `long` | `getStartTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodeHttpAddress

          protected String nodeHttpAddress

    - #### nodeId

          protected String nodeId

    - #### id

          protected int id

    - #### startTime

          protected long startTime

    - #### containerId

          protected String containerId

    - #### logsLink

          protected String logsLink

    - #### shortLogsLink

          protected String shortLogsLink

  - ### Constructor Detail

    - #### AMAttemptInfo

          public AMAttemptInfo()

    - #### AMAttemptInfo

          public AMAttemptInfo(org.apache.hadoop.mapreduce.v2.api.records.AMInfo amInfo,
                               String jobId,
                               String user,
                               String host,
                               String pathPrefix)

  - ### Method Detail

    - #### getNodeHttpAddress

          public String getNodeHttpAddress()

    - #### getNodeId

          public String getNodeId()

    - #### getAttemptId

          public int getAttemptId()

    - #### getStartTime

          public long getStartTime()

    - #### getContainerId

          public String getContainerId()

    - #### getLogsLink

          public String getLogsLink()

    - #### getShortLogsLink

          public String getShortLogsLink()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.